I'm assuming xenForo will have the slickest vbulletin migration script ever seen?

sross

Active member
I've kicked the tires on this forum and am impressed with it's direction. IB should be very afraid. When xenForo has some plugins, maybe a gallery addon and few other bits I will be very intrigued, and if they have a 1-click vBulletin import... could be a game changer. Good luck with the build!
 

Jake Bunce

XenForo moderator
Staff member
vB4's schema is very similar to vB3 for most of the important objects like forums, threads, and posts because vB4 is based on vB3. In that sense it shouldn't be too hard to write an importer based on the vB3 importer. However, vB4 on the whole isn't very consistent between major versions. This creates problems for addon developers and may present similar challenges for a vB4 importer.

I have heard about the existence of an unofficial vB4 -> vB3 downgrade script. That might be an option for you.
 

Dean

in memoriam
It is possible that by having a vb3 importer only, that could limit the initial number of installations, which would create a more controlled testing environment during beta testing & initial roll out of the product.

I really don't know, but it could be possible.
 

Forsaken

Well-known member
It was usually for security reasons. I play Eve Online and was running an 'alliance' forum with over 3000 people. And you'd be surprised how competitive that game really is. Hell, my IPB was hacked into just to gleam 'intel' on fleet movements. Long story. There are a lot of black hat's playing Eve Online and forums are usually a hacking target.
Yeah, my host and I were talking about how his Eve Online community gets as many attacks as my old Battle.net community did.
 

jasetaro

Well-known member
vB4's schema is very similar to vB3 for most of the important objects like forums, threads, and posts because vB4 is based on vB3. In that sense it shouldn't be too hard to write an importer based on the vB3 importer. However, vB4 on the whole isn't very consistent between major versions. This creates problems for addon developers and may present similar challenges for a vB4 importer.

I have heard about the existence of an unofficial vB4 -> vB3 downgrade script. That might be an option for you.
Those inconsistencies are one my issues with vB4, between that and the errors in the last two updates to forum classic, I've about had it with vB.
 

Mike

XenForo developer
Staff member
It's not that there won't be one. I needed one (for 3.7, without the social networking stuff) to convert my board. Obviously supporting imports from various vB versions (or various boards) is important, it just wasn't a priority at the time. I would expect to see further expansion of vB importers sooner rather than later, as most of the ground work is there. Other boards will happen, though the timeline is likely longer simply because they are more of an undertaking at this point.
 

SneakyDave

Well-known member
I know this probably isn't the case, but if the database design and model is nearly complete, could it be shared with a few people interested in developing importers, or is that too big a risk to take with how fluid develop is coming along?
 
Top